<?php

namespace common\logic\PointSale\UserPointSale;

use common\logic\BaseService;
use common\logic\PointSale\PointSale\PointSale;
use common\logic\RepositoryInterface;
use common\logic\User\User\User;

class UserPointSaleRepository extends BaseService implements RepositoryInterface
{
    public function getDefaultOptionsSearch(): array
    {
        return [
            'with' => [],
            'join_with' => [],
            'orderby' => '',
            'attribute_id_producer' => ''
        ] ;
    }

    public function findUserPointSalesByUser(User $user): array
    {
        return UserPointSale::searchAll([
            'id_user' => $user->id
        ]);
    }

    public function findOneUserPointSale(User $user, PointSale $pointSale)
    {
        return UserPointSale::find()
            ->where([
                'id_user' => $user->id,
                'id_point_sale' => $pointSale->id
            ])->one();
    }
}